/* StRgnHandle.h - a stack based RgnHandle that gets disposed by its destructor.

	Note: no corresponding .cp file: like Java, the code is given in the header file.

	Version 1.4 Jan 2002
	1.1 rev'ed: fix incompatibilities introduced in Pro 2
	1.2 bug fixes in CViewColumn.cp when adding panes into scrolled views.
	1.3 rev'ed: fix incompatibilities introduced in Pro 5.3
	1.4 rev'ed: fix incompatibilities introduced in Pro 7.1
	Copyright 1997-2002 by David Phillip Oster <mail-to:oster@ieee.org>

	The semi-legal stuff:
 
	You may use this any way you see fit, but:
		by your use of this you this you agree to hold David Oster harmless of any liability
			that may result from your use of this.
	You may not remove David Oster's name and contact info from the source code, although you
		may add your own.
	You agree to e-mail David Oster about bugs and problems with this source code.
 */
class StRgnHandle {
public:
	StRgnHandle(){ mH = NewRgn();}
	~StRgnHandle(){ if(nil != mH){ DisposeRgn(mH); mH = nil; }}
	operator RgnHandle(){ return mH; }
protected:
	RgnHandle	mH;
};
