/* CViewColumnTest.cp - test column view by creating a dozen copies of a test
	view in our FinishCreateSelf() routine.
 */
#include "CViewColumnTest.h"

CViewColumnTest::CViewColumnTest(LStream *inStream) : CViewColumn(inStream), CViewDividerOwner(){
}

#define kCount	12

void CViewColumnTest::FinishCreateSelf(){
	CViewColumn::FinishCreateSelf();

	SInt32	i;
	LPane*	pane;
	LPane*	label;
	LPane*	contents;
	LStr255	s;

	for(i = 1; i <= kCount; i++){
		pane = CreateSubPane(i, 151, false);
	}
	for(i = 1; i <= kCount; i++){
		pane = GetSubPane(i);
		label = pane->FindPaneByID(154);
		ThrowIfNil_(label);
		NumToString(i, s);
		label->SetDescriptor("\pLabel " + s);
		contents = pane->FindPaneByID(153);
		ThrowIfNil_(contents);
		s[0] = 1;
		s[1] = 'a' + i - 1;
		contents->SetDescriptor(s);
		LPane*	checkBox;
		checkBox = pane->FindPaneByID(152);
		if(1 & i){
			checkBox->SetValue(1);
		}
	}
}

